gnutls_ext_get_name(3)

NAME
gnutls_ext_get_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_ext_get_name(unsigned int ext);

ARGUMENTS

unsigned int ext
    is a TLS extension numeric ID

DESCRIPTION
Convert a TLS extension numeric ID to a printable string.

RETURNS
a pointer to a string that contains the name of the specified cipher, or NULL.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/